#ifndef __LED_H__
#define __LED_H__
#include "alps_board.h"

#ifdef ALPS_IN_PCA10040
void led_gpio_init(void);

void led_on(uint32_t led_idx);

void led_off(uint32_t led_idx);

void led_toggle(uint32_t led_idx);
#endif

/**
 * Function for inverting the state of an LED.
 *
 * @param led_idx LED index (starting from 0), as defined in the board-specific header.
 */
void led_invert(uint32_t led_idx);

#endif  // @page end

